%global __cmake_in_source_build 1

Name:		yubico-piv-tool
Version:	2.5.0
Release:    1%{?dist}
Summary:	Tool for interacting with the PIV applet on a YubiKey

License:	GPLv3+
URL:		https://developers.yubico.com/yubico-piv-tool/
Source0:	https://developers.yubico.com/yubico-piv-tool/Releases/yubico-piv-tool-%{version}.tar.gz
Source1:	https://developers.yubico.com/yubico-piv-tool/Releases/yubico-piv-tool-%{version}.tar.gz.sig
Source2:	gpgkey-9588EA0F.gpg

BuildRequires:  make
BuildRequires:	pcsc-lite-devel
BuildRequires:  openssl-devel
BuildRequires:  chrpath
BuildRequires:	gnupg2 gengetopt help2man
BuildRequires:	check-devel
BuildRequires:	gcc gcc-c++
BuildRequires:	cmake3
BuildRequires:	zlib-devel
Requires:		pcsc-lite-ccid

%description
The Yubico PIV tool is used for interacting with the
Privilege and Identification Card (PIV) applet on a YubiKey.

With it you may generate keys on the device, importing keys and certificates,
and create certificate requests, and other operations. A shared library and
a command-line tool is included.

%package devel
Summary: Tool for interacting with the PIV applet on a YubiKey
Requires: %{name} = %{version}-%{release}

%description devel
The Yubico PIV tool is used for interacting with the
Privilege and Identification Card (PIV) applet on a YubiKey.
This package includes development files.


%prep
gpgv2 --quiet --keyring %{SOURCE2} %{SOURCE1} %{SOURCE0}
%setup -q

%build
%cmake3 .
%make_build VERBOSE=1

%check
make test

%install
%make_install
chrpath --delete %{buildroot}%{_bindir}/yubico-piv-tool
chrpath --delete %{buildroot}%{_libdir}/libykcs11.so.*
chrpath --delete %{buildroot}%{_libdir}/libykpiv.so.*
rm -f %{buildroot}%{_libdir}/libykpiv.{la,a}
rm -f %{buildroot}%{_libdir}/libykcs11.{la,a}




%files
%license COPYING
%{_bindir}/yubico-piv-tool
%{_libdir}/libykpiv.so.2*
%{_libdir}/libykcs11.so.2*


%doc
%{_mandir}/man1/yubico-piv-tool.1.gz

%files devel
%{_libdir}/libykpiv.so
%{_libdir}/libykcs11.so
%attr(0644,root,root) %{_libdir}/pkgconfig/ykpiv.pc
%attr(0644,root,root) %{_libdir}/pkgconfig/ykcs11.pc
%dir %{_includedir}/ykpiv
%attr(0644,root,root) %{_includedir}/ykpiv/ykpiv.h
%attr(0644,root,root) %{_includedir}/ykpiv/ykpiv-config.h


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.5.0-1
- initial build
